Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8173845

JShell API: not patch compatible

    XMLWordPrintable

    Details

    • Subcomponent:
    • Resolved In Build:
      b157
    • Verification:
      Verified

      Backports

        Description

        The most important one is the ability to supply a fileManager. While
        JShell uses runtime platform supplied Filemanager, the user code may
        target a different JDK (patch release, for example); I need the ability
        to analyse and compile against the exact runtime used afterwards to run
        the code.

        Similar to that is a change in JdiInitiator; again, the calling IDE
        needs to specify "home" property in order to invoke VM from the correct
        JDK installation. Running / testing user applications on specific patch
        releases may be very important.

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                rfield Robert Field
                Reporter:
                rfield Robert Field
                Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: